## cascading.operation.xml
Class XPathGenerator

    java.lang.Object
      cascading.operation.BaseOperation<DocumentBuilder>
          cascading.operation.xml.XPathOperation
              cascading.operation.xml.XPathGenerator

All Implemented Interfaces:
  Function<DocumentBuilder>, Operation<DocumentBuilder>, Serializable

    public class XPathGenerator

extends XPathOperation
implements Function<DocumentBuilder>

XPathGenerator is a Generator function that will emit a new Tuple for every Node returned by the given XPath expression.

See Also:
  Serialized Form

Field Summary

Fields inherited from class cascading.operation.xml.XPathOperation
`NAMESPACE_XHTML, namespaces, paths`

Fields inherited from class cascading.operation.BaseOperation
`fieldDeclaration, numArgs, trace`

Fields inherited from interface cascading.operation.Operation
`ANY`

Constructor Summary
`XPathGenerator(Fields fieldDeclaration, String[][] namespaces, String... paths)` Constructor XPathGenerator creates a new XPathGenerator instance.

Method Summary
`void` `operate(FlowProcess flowProcess, FunctionCall<DocumentBuilder> functionCall)` Method operate provides the implementation of this Function.

Methods inherited from class cascading.operation.xml.XPathOperation
`equals, getExpressions, getTransformer, getXPath, hashCode, parseDocument, prepare, writeAsXML`

Methods inherited from class cascading.operation.BaseOperation
`cleanup, getFieldDeclaration, getNumArgs, getTrace, isSafe, printOperationInternal, toString, toStringInternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface cascading.operation.Operation
`cleanup, getFieldDeclaration, getNumArgs, isSafe, prepare`

Constructor Detail

### XPathGenerator

    public XPathGenerator(Fields fieldDeclaration,
                          String[][] namespaces,
                          String... paths)

  Constructor XPathGenerator creates a new XPathGenerator instance.

  Parameters:
    `fieldDeclaration` - of type Fields
    `namespaces` - of type String[][]
    `paths` - of type String...

Method Detail

### operate

    public void operate(FlowProcess flowProcess,
                        FunctionCall<DocumentBuilder> functionCall)

  Description copied from interface: `Function`
  Method operate provides the implementation of this Function.

  Specified by:
    `operate` in interface `Function<DocumentBuilder>`
  Parameters:
    `flowProcess` - of type FlowProcess
    `functionCall` - of type FunctionCall
  See Also:
    `Function.operate(cascading.flow.FlowProcess,cascading.operation.FunctionCall)`

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.